Miss any of our Open RFC calls?Watch the recordings here! »

This package has been deprecated

Author message:

This package is no longer maintained.

criteria-pattern-core

0.0.8 • Public • Published

criteria-pattern-core

Library classes for the criteria-pattern package.

Provides the Criterion class which can be extended to satisfy the interface criteria-pattern expects and the Failure class for indicating a value failed to satisfy the Criterion.

Installation

npm install --save criteria-pattern-core

Usage

 
import {Criterion, Failure} from 'criteria-pattern-core'
 
 class MyCriterion extends Criterion {
 
   call(value) {
 
   return (value)? value : new Failure('Value is required!', {value:value});
 
   }
 
 }
 

Keywords

Install

npm i criteria-pattern-core

DownloadsWeekly Downloads

1

Version

0.0.8

License

Apache-2.0

Last publish

Collaborators

  • avatar